xine-lib: xine-lib-1.2.13/src/input/input_net.c File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Functions
input_net.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <xine/xine_internal.h>`
`#include <xine/xineutils.h>`
`#include <xine/input_plugin.h>`
`#include "tls/xine_tls.h"`
`#include "net_buf_ctrl.h"`
`#include "group_network.h"`
`#include "input_helper.h"`
`#include "http_helper.h"`

## Data Structures
struct | net_input_plugin_t

## Macros
#define | LOG_MODULE "input_net"
#define | LOG_VERBOSE
#define | NET_BS_LEN 2324

## Functions
static off_t | net_plugin_read (input_plugin_t *this_gen, void *buf_gen, off_t len)
static uint32_t | net_plugin_get_blocksize (input_plugin_t *this_gen)
static off_t | net_plugin_get_current_pos (input_plugin_t *this_gen)
static off_t | net_plugin_seek (input_plugin_t *this_gen, off_t offset, int origin)
static const char * | net_plugin_get_mrl (input_plugin_t *this_gen)
static int | net_plugin_get_optional_data (input_plugin_t *this_gen, void *data, int data_type)
static void | net_plugin_dispose (input_plugin_t *this_gen)
static int | net_plugin_open (input_plugin_t *this_gen)
static input_plugin_t * | net_class_get_instance (input_class_t *cls_gen, xine_stream_t *stream, const char *mrl)
void * | input_net_init_class (xine_t *xine, const void *data)
void * | input_tls_init_class (xine_t *xine, const void *data)
void * | input_gopher_init_class (xine_t *xine, const void *data)

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "input_net"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## ◆ NET_BS_LEN

#define NET_BS_LEN 2324

Referenced by net_plugin_get_blocksize().

## Function Documentation

## ◆ input_gopher_init_class()

void * input_gopher_init_class | ( | xine_t * | xine,
|  | const void * | data )

References input_plugin_s::dispose, input_class_s::get_instance, N_, net_class_get_instance(), and NULL.

## ◆ input_net_init_class()

void * input_net_init_class | ( | xine_t * | xine,
|  | const void * | data )

References input_plugin_s::dispose, input_class_s::get_instance, N_, net_class_get_instance(), and NULL.

## ◆ input_tls_init_class()

void * input_tls_init_class | ( | xine_t * | xine,
|  | const void * | data )

References input_plugin_s::dispose, input_class_s::get_instance, N_, net_class_get_instance(), and NULL.

## ◆ net_class_get_instance()

static input_plugin_t * net_class_get_instance | ( | input_class_t * | cls_gen,
|  | xine_stream_t * | stream,
|  | const char * | mrl )
| static

References _x_input_default_get_length(), _x_input_default_read_block(), _x_input_get_capabilities_preview(), nbc_init, nbc_t, net_plugin_dispose(), net_plugin_get_blocksize(), net_plugin_get_current_pos(), net_plugin_get_mrl(), net_plugin_get_optional_data(), net_plugin_open(), net_plugin_read(), net_plugin_seek(), and NULL.

Referenced by input_gopher_init_class(), input_net_init_class(), and input_tls_init_class().

## ◆ net_plugin_dispose()

static void net_plugin_dispose | ( | input_plugin_t * | this_gen | ) |
| static

References _x_freep(), _x_tls_close(), nbc_close, and NULL.

Referenced by net_class_get_instance().

## ◆ net_plugin_get_blocksize()

static uint32_t net_plugin_get_blocksize | ( | input_plugin_t * | this_gen | ) |
| static

References NET_BS_LEN.

Referenced by net_class_get_instance().

## ◆ net_plugin_get_current_pos()

static off_t net_plugin_get_current_pos | ( | input_plugin_t * | this_gen | ) |
| static

Referenced by net_class_get_instance().

## ◆ net_plugin_get_mrl()

static const char * net_plugin_get_mrl | ( | input_plugin_t * | this_gen | ) |
| static

Referenced by net_class_get_instance().

## ◆ net_plugin_get_optional_data()

static int net_plugin_get_optional_data | ( | input_plugin_t * | this_gen,
|  | void * | data,
|  | int | data_type )
| static

References INPUT_OPTIONAL_DATA_PREVIEW, and INPUT_OPTIONAL_UNSUPPORTED.

Referenced by net_class_get_instance().

## ◆ net_plugin_open()

static int net_plugin_open | ( | input_plugin_t * | this_gen | ) |
| static

References _x_tls_connect(), _x_tls_handshake(), _x_tls_read(), _x_tls_write(), _x_url_cleanup(), _x_url_init(), _x_url_parse2(), xine_url_t::host, MAX_PREVIEW_SIZE, xine_url_t::path, and xine_url_t::port.

Referenced by net_class_get_instance().

## ◆ net_plugin_read()

static off_t net_plugin_read | ( | input_plugin_t * | this_gen,
|  | void * | buf_gen,
|  | off_t | len )
| static

References _x_message(), _x_tls_read(), lprintf, NULL, XINE_MSG_READ_ERROR, XINE_VERBOSITY_DEBUG, and xprintf.

Referenced by net_class_get_instance().

## ◆ net_plugin_seek()

static off_t net_plugin_seek | ( | input_plugin_t * | this_gen,
|  | off_t | offset,
|  | int | origin )
| static

References _x_input_seek_preview().

Referenced by net_class_get_instance().